Bug 505853 - Display corruption after using Fedora 13 nouveau driver for some time
Display corruption after using Fedora 13 nouveau driver for some time
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
13
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
card_NV92
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-14 06:47 EDT by Sankaran
Modified: 2011-06-27 10:14 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 10:14:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log attached after display corruption (156.03 KB, text/plain)
2009-06-14 06:47 EDT, Sankaran
no flags Details
Contains Xorg.0.log after display corruption when running livecd with nouveau.modeset=1 (73.11 KB, text/plain)
2009-08-07 15:33 EDT, Sankaran
no flags Details
dmesg output after display corruption (33.96 KB, text/plain)
2009-08-07 15:34 EDT, Sankaran
no flags Details
Some messages which got printed in the system where I ran ssh to the box running livecd of Fedora 11 (2.70 KB, text/plain)
2009-08-07 15:35 EDT, Sankaran
no flags Details
Xorg log of Fedora 12 with screen corruption (97.36 KB, text/plain)
2009-11-19 02:42 EST, Sankaran
no flags Details
dmesg after display corruption (45.45 KB, text/plain)
2009-11-19 02:43 EST, Sankaran
no flags Details
lsmod showing Fedora 12 using nouveau even after trying to boot with vesa (80 bytes, text/plain)
2009-11-19 02:45 EST, Sankaran
no flags Details
lsmod showing Feodora 12 using nouveau driver (327 bytes, text/plain)
2009-11-19 02:46 EST, Sankaran
no flags Details
Photo of corrupted screen taken using digicam (1.29 MB, image/jpeg)
2009-11-19 02:56 EST, Sankaran
no flags Details
Xorg.0.log for screen corruption happening in Fedora 13 with nouveau driver (106.50 KB, text/x-log)
2010-04-15 15:23 EDT, Sankaran
no flags Details
dmesg output after screen corruption due to nouveau driver in Fedora 13 (120.54 KB, text/x-log)
2010-04-15 15:25 EDT, Sankaran
no flags Details
output of dmesg pipe tail, uname -a and free -m after nouveau screen corruption in Fedora 13 (1.41 KB, text/x-log)
2010-04-15 15:26 EDT, Sankaran
no flags Details
Digicam image of Fedora 13 noveau image corruption (1.19 MB, image/jpeg)
2010-04-15 15:29 EDT, Sankaran
no flags Details
Digicam image of nouveau screen corruption happening in Fedora 13 beta with camera flash (1.26 MB, image/jpeg)
2010-04-15 15:31 EDT, Sankaran
no flags Details
Example of corrupted desktop 1 (1.72 MB, image/png)
2010-06-13 07:31 EDT, Artem Bityutskiy
no flags Details
Example of corrupted desktop 2 (110.52 KB, image/png)
2010-06-13 07:37 EDT, Artem Bityutskiy
no flags Details

  None (edit)
Description Sankaran 2009-06-14 06:47:51 EDT
Created attachment 347810 [details]
Xorg log attached after display corruption

Description of problem:

Display gets corrupted and full of horizontal lines with rainbow colors after some minutes of using Fedora 11 with nouveau driver


Version-Release number of selected component (if applicable):

Installed Packages
Name       : xorg-x11-drv-nouveau
Arch       : i586
Epoch      : 1
Version    : 0.0.12
Release    : 36.20090514git9656762.fc11
Size       : 350 k
Repo       : installed
Summary    : Xorg X11 nouveau video driver for NVIDIA graphics chipsets
URL        : http://www.x.org
License    : MIT
Description: X.Org X11 nouveau video driver.


How reproducible:

Happens often


Steps to Reproduce:
1. Launch Fedora 11 (after installation or from live cd (i686 or x86-64)) on a system having nvidia card so that it will use nouveau driver
2. Keep using the system for some time (say 10 mins or more), browse firefox, use terminal and so on
3. After some time, the entire screen looks like horizontal lines of rainbow colors and the screen is unreadable.
4. But Fedora still works and can be connected through telnet or ssh

  
Actual results:

Display/Screen gets corrupted and full of artifacts and we cant proceed with Fedora without restarting

Expected results:

No display corruption after using Fedora 11 over a period of time (say some minutes or hours of use)

Additional info:

Nvidia card: MSI 9800 GT 1 GB


saved log /var/log/Xorg.0.log is attached
Comment 1 Sankaran 2009-06-21 02:25:48 EDT
Display corruption does not occur after disabling PCIe L0 and L1 ASPM (Active State Power Management) states in bios.

Board is Intel Desktop Board DX58SO

Now nouveau working like a charm
Comment 2 Sankaran 2009-07-03 14:41:44 EDT
After disabling active state power management in bios, display corruption did not occur for more time, but it occurs at some point of time. 

To easily simulate the display corruption run futuremark browser benchmark from firefox (http://service.futuremark.com/peacekeeper/run.action)

Display corruption does not happen when nouveau.modeset=1 is passed as kernel boot param! even after running the futuremark browser benchmark and the graphics card is stressed
Comment 3 Adam Williamson 2009-07-20 20:27:46 EDT
Can we get Xorg.0.log from the nouveau.modeset=1 case? Thanks!

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Sankaran 2009-08-07 15:33:10 EDT
Created attachment 356698 [details]
Contains Xorg.0.log after display corruption when running livecd with nouveau.modeset=1
Comment 5 Sankaran 2009-08-07 15:34:28 EDT
Created attachment 356699 [details]
dmesg output after display corruption 

got the dmesg output by giving dmesg | tail -1024
Comment 6 Sankaran 2009-08-07 15:35:35 EDT
Created attachment 356700 [details]
Some messages which got printed in the system where I ran ssh to the box running livecd of Fedora 11
Comment 7 Sankaran 2009-08-07 15:45:02 EDT
Display corruption happening every time when I run graphics intensive browser benchmark. This even happens when nouveau.modeset=1 is given at boot param
Comment 8 Matěj Cepl 2009-11-05 13:31:50 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 9 Sankaran 2009-11-19 02:42:36 EST
Created attachment 370292 [details]
Xorg log of Fedora 12 with screen corruption
Comment 10 Sankaran 2009-11-19 02:43:52 EST
Created attachment 370293 [details]
dmesg after display corruption

Display corruption still happening in Fedora 12, here is the dmesg output
Comment 11 Sankaran 2009-11-19 02:45:09 EST
Created attachment 370294 [details]
lsmod showing Fedora 12 using nouveau even after trying to boot with vesa
Comment 12 Sankaran 2009-11-19 02:46:17 EST
Created attachment 370295 [details]
lsmod showing Feodora 12 using nouveau driver
Comment 13 Sankaran 2009-11-19 02:56:24 EST
Created attachment 370296 [details]
Photo of corrupted screen taken using digicam

I took the photo of the corrupted screen using digicam as nothing worked after the corruption. Even the logs I captured are copied and pasted as file transfer was not working. Sometimes, even before logging into Fedora 12 itself the screen corruption happens.

I tried nomodeset, but the display corruption still happens. Once it happens, nothing works except rebooting or existing ssh session. Even in existing ssh session, not able to transfer files
Comment 14 Sankaran 2009-11-19 02:57:50 EST
The corruption happens in 64 bit Fedora 12 also. As requested I have attached logs and info as attachments from comment 9 to comment 13, hope this helps
Comment 15 Remke 2010-03-03 05:38:19 EST
Same problem here (KNMI):
It seems to occur mostly in combination with GNOME - nouveau...
Using an second screen (DVI) with the noveau driver also infects the performance ;((
Comment 16 Sankaran 2010-04-15 15:23:34 EDT
Created attachment 406899 [details]
Xorg.0.log for screen corruption happening in Fedora 13 with nouveau driver
Comment 17 Sankaran 2010-04-15 15:25:26 EDT
Created attachment 406901 [details]
dmesg output after screen corruption due to nouveau driver in Fedora 13
Comment 18 Sankaran 2010-04-15 15:26:42 EDT
Created attachment 406902 [details]
output of dmesg pipe tail, uname -a and free -m after nouveau screen corruption in Fedora 13
Comment 19 Sankaran 2010-04-15 15:29:55 EDT
Created attachment 406904 [details]
Digicam image of Fedora 13 noveau image corruption

could not save files or take screenshot as screen was unresponsive after screen corruption. Fortunately, ssh session worked and able to take dmesg log
Comment 20 Sankaran 2010-04-15 15:31:36 EDT
Created attachment 406905 [details]
Digicam image of nouveau screen corruption happening in Fedora 13 beta with camera flash
Comment 21 Artem Bityutskiy 2010-06-13 07:29:16 EDT
I've suffered from this problem in F12, thought it would be fixed in F13, but it it not :-( It is quite annoying to constantly have corrupted display. For me it happens very very often. I'll attach 2 pictures to demonstrate the corruptions.
Comment 22 Artem Bityutskiy 2010-06-13 07:31:56 EDT
Created attachment 423617 [details]
Example of corrupted desktop 1
Comment 23 Artem Bityutskiy 2010-06-13 07:37:15 EDT
Created attachment 423618 [details]
Example of corrupted desktop 2
Comment 24 R.Srinivasan 2010-08-10 00:22:52 EDT
Fedora 13 display corruption while booting. It worked for some time. After 5 or 6 boots this display corruption problem occurred. The same happened in Fedora 11. I think still it not got fixed. Any time if we change some BIOS update or even saving the BIOS with different settings this problem happens.

Once it happens, nothing works except rebooting.
Comment 25 Bug Zapper 2011-06-02 14:01:57 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 26 Bug Zapper 2011-06-27 10:14:18 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.